package com.ruoyi.web.controller.IndexController;

import cn.hutool.core.util.ObjectUtil;
import com.alibaba.fastjson2.JSON;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.AsUser;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.EtOperatingArea;
import com.ruoyi.system.domain.vo.IndexAdminVo;
import com.ruoyi.system.domain.vo.IndexVo;
import com.ruoyi.system.service.IEtOperatingAreaService;
import com.ruoyi.system.service.IEtOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * index首页统计
 *  校验
 * @author ruoyi
 */
@RestController
@RequestMapping("/index")
public class IndexController extends BaseController
{

    @Autowired
    private IEtOrderService etOrderService;

    @Autowired
    private IEtOperatingAreaService etOperatingAreaService;

    /**
     * 根据token获取运营区列表（后台）
     */
    @GetMapping("/getAreaList")
    public AjaxResult getAreaList()
    {
        Long deptId;
        if(getUserId() == 1){
            deptId = null;
        }else{
            deptId = getDeptId();
        }
        List<EtOperatingArea> longs = etOperatingAreaService.selectAreaListByDeptId2(deptId);
        logger.info("根据token获取运营区列表：【{}】", JSON.toJSON(longs));
        return success(longs);
    }

    /**
     * 首页统计-运营商
     */
    @GetMapping(value = "/statistics")
    public AjaxResult statistics(Long areaId)
    {
        logger.info("【首页统计】请求参数: areaId={}", areaId);
        IndexVo indexVo = etOrderService.statistics(areaId);
        return success(indexVo);
    }


    /**
     * 首页统计-总管理
     */
    @GetMapping(value = "/admim/statistics")
    public AjaxResult admimStatistics()
    {
        logger.info("【首页统计】请求参数");
        IndexAdminVo indexAdminVo = etOrderService.admimStatistics();
        return success(indexAdminVo);
    }

}
