package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.EtHardwareVersionMapper;
import com.ruoyi.system.domain.EtHardwareVersion;
import com.ruoyi.system.service.IEtHardwareVersionService;

/**
 * 硬件版本Service业务层处理
 * 
 * @author qiuzhenzhao
 * @date 2024-07-22
 */
@Service
public class EtHardwareVersionServiceImpl implements IEtHardwareVersionService 
{
    @Autowired
    private EtHardwareVersionMapper etHardwareVersionMapper;

    /**
     * 查询硬件版本
     * 
     * @param id 硬件版本主键
     * @return 硬件版本
     */
    @Override
    public EtHardwareVersion selectEtHardwareVersionById(Long id)
    {
        return etHardwareVersionMapper.selectEtHardwareVersionById(id);
    }

    /**
     * 查询硬件版本列表
     * 
     * @param etHardwareVersion 硬件版本
     * @return 硬件版本
     */
    @Override
    public List<EtHardwareVersion> selectEtHardwareVersionList(EtHardwareVersion etHardwareVersion)
    {
        return etHardwareVersionMapper.selectEtHardwareVersionList(etHardwareVersion);
    }

    /**
     * 新增硬件版本
     * 
     * @param etHardwareVersion 硬件版本
     * @return 结果
     */
    @Override
    public int insertEtHardwareVersion(EtHardwareVersion etHardwareVersion)
    {
        etHardwareVersion.setCreateTime(DateUtils.getNowDate());
        return etHardwareVersionMapper.insertEtHardwareVersion(etHardwareVersion);
    }

    /**
     * 修改硬件版本
     * 
     * @param etHardwareVersion 硬件版本
     * @return 结果
     */
    @Override
    public int updateEtHardwareVersion(EtHardwareVersion etHardwareVersion)
    {
        return etHardwareVersionMapper.updateEtHardwareVersion(etHardwareVersion);
    }

    /**
     * 批量删除硬件版本
     * 
     * @param ids 需要删除的硬件版本主键
     * @return 结果
     */
    @Override
    public int deleteEtHardwareVersionByIds(Long[] ids)
    {
        return etHardwareVersionMapper.deleteEtHardwareVersionByIds(ids);
    }

    /**
     * 删除硬件版本信息
     * 
     * @param id 硬件版本主键
     * @return 结果
     */
    @Override
    public int deleteEtHardwareVersionById(Long id)
    {
        return etHardwareVersionMapper.deleteEtHardwareVersionById(id);
    }
}
